// go run v0.go -- v0.go 10
package main

import (
	"bufio"
	"flag"
	"fmt"
	"os"
)

// START OMIT
func lineCount(path string) int {
	f, err := os.Open(path)
	if err != nil {
		return 0
	}
	defer f.Close()
	r := bufio.NewReader(f)
	var lc int
	for err == nil {
		_, err = r.ReadString('\n') // HLerrignore
		lc++
	}
	return lc
}

// END OMIT

func main() {
	flag.Parse()
	for _, path := range flag.Args() {
		fmt.Printf("%d\t%s\n", lineCount(path), path)
	}
}
